cURL
curl --request DELETE \
--url https://api.helohq.com/channels/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Channels;
await helo.Channels.Delete("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Channels.delete(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
client.channels.delete("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
if err := client.Channels.Delete(ctx, "550e8400-e29b-41d4-a716-446655440000"); err != nil {
log.Fatal(err)
}
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
await helo.channels.del("550e8400-e29b-41d4-a716-446655440000");{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Channels
Delete a channel
Permanently removes a channel and all associated data.
DELETE
/
channels
/
{id}
cURL
curl --request DELETE \
--url https://api.helohq.com/channels/{id} \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Channels;
await helo.Channels.Delete("550e8400-e29b-41d4-a716-446655440000");Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
Helo::Channels.delete(id)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
client.channels.delete("550e8400-e29b-41d4-a716-446655440000")package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
if err := client.Channels.Delete(ctx, "550e8400-e29b-41d4-a716-446655440000"); err != nil {
log.Fatal(err)
}
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
await helo.channels.del("550e8400-e29b-41d4-a716-446655440000");{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}